libpq5-11.2-1.1.i586.rpm


Advertisement

Description

libpq5 - Shared Libraries Required for PostgreSQL Clients

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libpq5-11.2-1.1.i586.rpm
Package name libpq5
Package version 11.2
Package release 1.1
Package architecture i586
Package type rpm
Category Productivity/Databases/Clients
Homepage https://www.postgresql.org/
License PostgreSQL
Maintainer -
Download size 173.70 KB
Installed size 690.52 KB
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.
This package provides the client library that most PostgreSQL client
program or language bindings are using.

Alternatives

Package Version Architecture Repository
libpq5-11.2-1.1.x86_64.rpm 11.2 x86_64 openSUSE Oss
libpq5 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.28) -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
libgssapi_krb5.so.2 -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT) -
libldap_r-2.4.so.2 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libssl.so.1.1 -
libssl.so.1.1(OPENSSL_1_1_0) -

Provides

Name Value
libpq.so.5 -
libpq5 = 11.2-1.1
libpq5(x86-32) = 11.2-1.1
postgresql-libs:/usr/lib/libpq.so.5 -

Obsoletes

Name Value
postgresql-libs < 11.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpq5-11.2-1.1.i586.rpm
Source Package postgresql11-libs-11.2-1.1.src.rpm

Install Howto

Install libpq5 rpm package:

# zypper install libpq5

Files

Path
/usr/lib/libpq.so.5
/usr/lib/libpq.so.5.11
/usr/share/locale/cs/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/de/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/es/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/fr/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/he/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/it/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/ja/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/ko/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/pl/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/pt_BR/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/ru/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/sv/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/tr/LC_MESSAGES/libpq5-11.mo
/usr/share/locale/zh_CN/LC_MESSAGES/libpq5-11.mo
/usr/share/postgresql11/pg_service.conf.sample

Changelog

2019-02-19 - Reinhard Max <max@suse.com>
- Update to 11.2:
* https://www.postgresql.org/docs/11/release-11-2.html
* https://www.postgresql.org/about/news/1920/
* By default, panic instead of retrying after fsync() failure,
to avoid possible data corruption.
* Fix handling of unique indexes with INCLUDE columns on
partitioned tables.
* Ensure that NOT NULL constraints of a partitioned table are
honored within its partitions.
* Numerous other bug fixes.
- Overhaul README.SUSE
2019-01-11 - Reinhard Max <max@suse.com>
- The release tags between the main package build and libs might
be different, but that's not a problem, so we can relax the tight
dependency of server-devel on devel.
- Adjust the line between headers going to devel and server-devel.
Now everything under /usr/include/pgsql/server is in server-devel
and the rest of /usr/include/pgsql is in devel (bsc#1120035).
2018-12-03 - Marcus Rueckert <mrueckert@suse.de>
- move the server-devel package definition into the buildmain
section
2018-11-20 - Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add sha256 file to list of sources
- Update v11.1 files from upstream
2018-11-08 - Reinhard Max <max@suse.com>
- Update to 11.1:
* CVE-2018-16850, bsc#1114837: Improper quoting of transition
table names when pg_dump emits CREATE TRIGGER can cause
privilege escalation
* Numerous bug fixes, see the release notes:
https://www.postgresql.org/docs/current/release-11-1.html
* Remove unneeded library dependencies from PGXS.
2018-10-22 - Reinhard Max <max@suse.com>
- Update to 11.0.
* https://www.postgresql.org/about/news/1894/
* https://www.postgresql.org/docs/11/static/release-11.html
- Improvements to partitioning functionality, including:
* Add support for partitioning by a hash key
* Add support for PRIMARY KEY, FOREIGN KEY, indexes, and triggers
on partitioned tables.
* Allow creation of a ?default? partition for storing data that
does not match any of the remaining partitions.
* UPDATE statements that change a partition key column now cause
affected rows to be moved to the appropriate partitions.
* Improve SELECT performance through enhanced partition
elimination strategies during query planning and execution.
- Improvements to parallelism, including:
* CREATE INDEX can now use parallel processing while building a
B-tree index.
* Parallelization is now possible in CREATE TABLE ... AS, CREATE
MATERIALIZED VIEW, and certain queries using UNION.
* Parallelized hash joins and parallelized sequential scans now
perform better.
- SQL stored procedures that support embedded transactions.
- Optional Just-in-Time (JIT) compilation for some SQL code,
speeding evaluation of expressions (new subpackage: -llvmjit).
- Window functions now support all framing options shown in the
SQL:2011 standard, including RANGE distance PRECEDING/FOLLOWING,
GROUPS mode, and frame exclusion options.
- Covering indexes can now be created, using the INCLUDE clause of
CREATE INDEX.
- Many other useful performance improvements, including the ability
to avoid a table rewrite for ALTER TABLE ... ADD COLUMN with a
non-null column default.
- Split a new -server-devel subpackage from -devel.
2018-08-10 - mrueckert@suse.de
- update to 11 beta3
https://www.postgresql.org/docs/11/static/release-11.html
https://www.postgresql.org/about/news/1878/
CVE-2018-10925 CVE-2018-10915
2018-07-02 - mrueckert@suse.de
- initial package

See Also

Package Description
libpq5-32bit-11.2-1.1.x86_64.rpm Shared Libraries Required for PostgreSQL Clients
libpqos-devel-3.0.1-2.1.i586.rpm Development package for libpqos3
libpqos-devel-3.0.1-2.1.x86_64.rpm Development package for libpqos3
libpqos3-3.0.1-2.1.i586.rpm Runtime pqos library
libpqos3-3.0.1-2.1.x86_64.rpm Runtime pqos library
libpqxx-5_0-5.0.1-3.1.i586.rpm C++ Client Library for PostgreSQL
libpqxx-5_0-5.0.1-3.1.x86_64.rpm C++ Client Library for PostgreSQL
libpqxx-devel-5.0.1-3.1.i586.rpm C++ Client Library for PostgreSQL
libpqxx-devel-5.0.1-3.1.x86_64.rpm C++ Client Library for PostgreSQL
libpqxx-doc-5.0.1-3.1.noarch.rpm Documentation for libpqxx
libprelude-devel-5.0.0-1.1.i586.rpm Development files for libprelude
libprelude-devel-5.0.0-1.1.x86_64.rpm Development files for libprelude
libprelude-devel-bindings-5.0.0-1.1.i586.rpm Development files for libprelude
libprelude-devel-bindings-5.0.0-1.1.x86_64.rpm Development files for libprelude
libprelude-doc-5.0.0-1.1.i586.rpm Libprelude documentation
Advertisement
Advertisement